from selenium import webdriver
from selenium.webdriver.common.keys import Keys
import time
import unittest

class NewVisitorTest(unittest.TestCase):

    def setUp(self):
        #self.browser = webdriver.Firefox()
        self.browser = webdriver.Chrome()

    def tearDown(self):
        self.browser.quit()

    def test_can_start_a_list_and_retrieve_it_later(self):
        self.browser.get('http://localhost:8000')
        self.assertIn('To-Do', self.browser.title)
        header_text = self.browser.find_element_by_tag_name('h1').text
        self.assertIn('To-Do', header_text)
        inputbox = self.browser.find_element_by_id('id_new_item')
        self.assertEqual(
            inputbox.get_attribute('placeholder'),
            'Enter a to-do item'
        )
        # ITEM 1
        inputbox.send_keys('Buy rubber ducks')
        inputbox.send_keys(Keys.ENTER)
        time.sleep(3) # When in doubt, increase it / add a wait!
        table = self.browser.find_element_by_id('id_list_table')
        rows = table.find_elements_by_tag_name('tr')
        self.assertIn('1: Buy rubber ducks', [row.text for row in rows])
        # ITEM 2
        inputbox = self.browser.find_element_by_id('id_new_item')
        inputbox.send_keys('Buy squirrel suits')
        inputbox.send_keys(Keys.ENTER)
        time.sleep(3) # When in doubt, increase it / add a wait!
        table = self.browser.find_element_by_id('id_list_table')
        rows = table.find_elements_by_tag_name('tr')
        self.assertIn('2: Buy squirrel suits', [row.text for row in rows])
        # Done?
        self.fail('Finish the test!')

if __name__ == '__main__':
    unittest.main(warnings='ignore')